#!/usr/bin/perl -I /usr/sausalito/perl
# $Id: 87_updateCapGroups.pl, v1.1.0.0 Tue 08 Apr 2008 11:03:18 AM CEST mstauber Exp $
# Copyright 2006-2008 Solarspeed Ltd. All rights reserved.
#
# make sure the adminUser CapabilityGroup exists and has correct
# capabilities

use Sauce::Util::SecurityLevels;

my $sec = new SecurityLevels();

$sec->updateSecurityLevels(
            'adminUser', 
            '[[vz-user.capgroup_adminUser]]', 
            '[[vz-user.capgroup_adminUser_help]]', 
            'createUser', 'destroyUser', 'modifyUser', 'modifyUserDefaults', 
	    'ManageVPS', 
            '[[vz-vserver.capgroup_ManageVPS]]',
            '[[vz-vserver.capgroup_ManageVPS_help]]',
	    'modifyEmail', 'modifySnmp', 'modifyFtp', 'modifyServerSWUpdate', 'destroySWUpdateServer', 'destroyPackage', 'createPackage', 'modifyTelnet', 'siteAdmin', 'modifyAsp', 'modifyPackage', 'modifyArkeia', 'modifySystemTime', 'modifyNetBackup', 'siteFrontpage', 'modifyHttpd', 'adminBlueLinq', 'scanDetection', 'siteAnonFTP', 'createSWUpdateServer', 'serverBackup', 'dnsAdmin', 'siteSSL', 'systemMonitor', 'modifyDNS', 'webServices', 'adminUser', 'overflow', 'networkServices', 'modifyJava', 'modifyNetWorker', 'modifySWUpdateServer', 'siteShell', 'serverConfig'
            );

exit(0);
